Package org.eclipse.net4j.util.collection

# Klasse Tree

java.lang.Object
org.eclipse.net4j.util.collection.Tree

Alle implementierten Schnittstellen:
  `Comparable<Tree>`

public final class Tree extends Object implements Comparable<Tree>

Seit:
  3.23
Autor:
  Eike Stepper

## Verschachtelte Klassen - Übersicht

Verschachtelte Klassen
Modifizierer und Typ
Klasse
Beschreibung
`static final class`
`Tree.Builder`
`static class`
`Tree.Dumper`
`static class`
`Tree.XMLConverter`

## Feldübersicht

Felder
Modifizierer und Typ
Feld
Beschreibung
`static final Tree`
`EMPTY`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`List<Tree>`
`allChildren()`
`List<Tree>`
`allChildren(String name)`
`void`
`allChildren(String name, Consumer<Tree> consumer)`
`void`
`allChildren(Consumer<Tree> consumer)`
`String`
`attribute(String name)`
`boolean`
`attribute(String name, boolean defaultValue)`
`byte`
`attribute(String name, byte defaultValue)`
`double`
`attribute(String name, double defaultValue)`
`float`
`attribute(String name, float defaultValue)`
`int`
`attribute(String name, int defaultValue)`
`long`
`attribute(String name, long defaultValue)`
`short`
`attribute(String name, short defaultValue)`
`String`
`attribute(String name, String defaultValue)`
`Map<String,String>`
`attributes()`
`static Tree.Builder`
`builder()`
`static Tree.Builder`
`builder(Tree source)`
`Tree`
`child(int index)`
`Tree`
`child(String name)`
`List<Tree>`
`children()`
`List<Tree>`
`children(String name)`
`void`
`children(String name, Consumer<Tree> consumer)`
`void`
`children(Consumer<Tree> consumer)`
`int`
`compareTo(Tree o)`
`int`
`indexInParent()`
`int`
`indexOfChild(Tree child)`
`String`
`name()`
`Tree`
`parent()`
`Map<String,String>`
`properties()`
`Map<String,String>`
`properties(String childName)`
`Map<String,String>`
`properties(String childName, String nameAttribute, String valueAttribute)`
`String`
`toString()`
`<DATA> DATA`
`visit(BiFunction<Tree,DATA,DATA> visitor, DATA data)`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Felddetails

### EMPTY

public static final Tree EMPTY

## Methodendetails

### name

public String name()

### attributes

public Map<String,String> attributes()

### attribute

public String attribute(String name)

### attribute

public String attribute(String name, String defaultValue)

Seit:
  3.26

### attribute

public boolean attribute(String name, boolean defaultValue)

Seit:
  3.26

### attribute

public byte attribute(String name, byte defaultValue)

Seit:
  3.26

### attribute

public short attribute(String name, short defaultValue)

Seit:
  3.26

### attribute

public int attribute(String name, int defaultValue)

Seit:
  3.26

### attribute

public long attribute(String name, long defaultValue)

Seit:
  3.26

### attribute

public float attribute(String name, float defaultValue)

Seit:
  3.26

### attribute

public double attribute(String name, double defaultValue)

Seit:
  3.26

### parent

public Tree parent()

### children

public List<Tree> children()

### children

public void children(Consumer<Tree> consumer)

### children

public List<Tree> children(String name)

### children

public void children(String name, Consumer<Tree> consumer)

### allChildren

public List<Tree> allChildren()

### allChildren

public void allChildren(Consumer<Tree> consumer)

### allChildren

public List<Tree> allChildren(String name)

### allChildren

public void allChildren(String name, Consumer<Tree> consumer)

### child

public Tree child(String name)

### child

public Tree child(int index)

### indexInParent

public int indexInParent()

### indexOfChild

public int indexOfChild(Tree child)

### properties

public Map<String,String> properties()

### properties

public Map<String,String> properties(String childName)

### properties

public Map<String,String> properties(String childName, String nameAttribute, String valueAttribute)

### visit

public <DATA> DATA visit(BiFunction<Tree,DATA,DATA> visitor, DATA data)

### compareTo

public int compareTo(Tree o)

Angegeben von:
  `compareTo` in Schnittstelle `Comparable<Tree>`

### toString

public String toString()

Setzt außer Kraft:
  `toString` in Klasse `Object`

### builder

public static Tree.Builder builder()

### builder

public static Tree.Builder builder(Tree source)